*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* overflow-y: hidden; */
}

body{
    overflow-x: hidden;
    background-color: white;
    display: flex;
    flex-direction: column;
    position: relative;
    top: 0px;
    left: 0px;
    margin: 0px;
    overflow-y: hidden;

    /* width: 100vw; */
    height: 100vh;
    /* border: 1px solid black; */
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    
}

header{

    
    height: 12vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid rgb(235, 232, 232);
    padding-right: 50px;
    padding-left: 50px;
}

main{

    height: 88vh;
    display: flex;
    /* flex-direction: column; */
    /* width: fit-content; */
    /* border: 1px solid black; */
    /* height: 100%; */
    /* flex-direction: column; */

}

.container{

    height: 100%;
    width: 63%;
    /* max-width: fit-content; */
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px dashed purple; */
    background-color: rgb(238, 243, 244);
}

.post-container{
    height: 50%;
    width: 55%;
    /* display: flex;
    flex-direction: column; */
    /* border: 2px solid green; */
}

.post-card{

    width: 100%;
    height: 95%;
    /* border: 1px solid black; */
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    box-shadow: rgba(0, 0, 0, 0.1);
    border: 2.2px solid lightgray;
    border-radius: 20px;
    background-color: white;
    padding: 10px;
    
}

.upper{
    display: flex;
    width: 100%;
    height: 80%;
    /* border: 1px solid red; */
}

.user-icon{
    width: 15%;
    height: 100%;
    /* border: 2px dashed black; */
    display: flex;
    justify-content: center;
    padding: 15px;
}



.post-area{
    width: 85%;
    height: 100%;
    /* border: 1px dashed  gray; */
}

textarea{
    margin-top: 15px;
    width: 100%;
    height: 95%;
    resize: none;
    border: none;
    padding: 1rem;
    font-size: 1.2rem;
    outline: none;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    scroll-behavior: smooth;
    border-radius: 20px;
    /* border: 1px solid rgba(128, 128, 128, 0.758); */
    
}

.lower{

    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 20%;
    /* border: 2px solid blue; */
    /* padding: 10px; */
}

.char-count{
    width: fit-content;
    height: fit-content;
    /* border: 1px solid black; */
    color: gray;
    font-size: 1.2rem;
    font-family: 'Arial Narrow', Arial, sans-serif;
    
}

.post-button, .cancel-button, .feed-button, .cancelButton, .commentButton{
    width: 20%;
    height: 100%;
    background-color: #1d36c3; /* Green */
    color: white;
    font-size: 1rem;
    border: none;
    border-radius: 20px;

}

.cancel-button, .cancelButton{
    background-color: white;
    color: black;
    border: 1px solid gray;
}

.feeds{
    /* max-height: fit-content;*/
    /* width: fit-content; */
    height: 100%;
    width: 37%;
    padding: 10px;
    overflow-y: scroll;
    overflow-x: hidden;
    /* margin-left: 10px; */
    /* border: 1px solid blue; */
    padding-bottom: 50px;
}


.feed-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    /* max-height: fit-content; */
    height: fit-content;

    /* border: 1px solid black; */
    position: relative;
    padding: 20px;
}

.feed-card{
    
    display: flex;
    justify-content: space-around;
    width: 100%;
    /* min-height: 200px; */
    height: max-content;
    border: 1.5px solid lightgray;
    border-radius: 10px;
    /* border: 1px solid green; */
    /* display: none; */

}
.comment-box{
    display: flex;
    justify-content: space-around;
    width: 100%;
    /* min-height: 200px; */
    height: max-content;
    border: 1.5px solid lightgray;
    /* border-radius: 100px */
    /* border-radius: 0px; */
}

.user-icon{

    height: 100%;
    width: 10%;
    /* border: 1px solid green; */
}
.user-icon img{
    width: 40px;
    height: 40px;
}

.feed-content{
    width: 90%;
    /* height: 170px; */
    height: fit-content;
    /* border: 2px solid blue; */
    flex-direction: column;
    padding: 10px;
    padding-bottom: 15px;
    /* display: none; */
}

.username{
    display: flex;
    justify-content: space-around;
    width: 100%;
    height: 10%;
    /* padding: 0px; */
    /* border: 1px solid black; */
}

.edit , .delete, .comment, .like, .delete-comment{
    /* border: 1px solid red; */
    margin: 0 10px 0px 10px;
}

.feed-post{
    display: flex;
    align-items: center;
    height: 80%;
    width: 90%;
    /* border: 1px solid  black; */
    margin-top: 15px;
    margin-bottom: 15px;
}


.feed-reactions{
    /* float: right; */
    /* height: fit-content; */
    /* display: flex; */
    /* justify-content: center; */
    /* border: 1px solid red; */
    /* margin-bottom: 20px; */

}

.feed-reactions .like, .comment, .reaction{
    margin-right: 15px;
    margin-left: 15px;
}

.feed-comments{
    width: 80%;
    /* height: 50%; */
    width: 100%;
    position: relative;
    left: 12%;
    /* border: 1px solid blue; */
    /* display: none; */
}
.none{
    display: none;
}
.feed-comments .feed-card{
    /* background-color: navajowhite; */
    /* height: 100%; */
    width: 85%;
    border-radius: 0 0 10px 10px;
}

.feed-comments .comment-box{
    width: 85%;
    /* border-radius: 0 0 10px 10px; */
    /* border: 1px solid green; */
}

.feed-card {
    
    /* font-size: 3em; */
    
}




@media (max-width: 930px) {
    main {
      flex-direction: column;
      /* other styles for smaller screens */
      /* border: 1px solid black; */
      width: 100vw;
      height: 100vh;
    }

    body img{
    z-index: 5;
}

    .container{

        /* height: 50vh; */
        width: 100vw;
        /* max-width: fit-content; */
        /* display: flex; */
        /* justify-content: center; */
        /* align-items: center; */
        /* border: 5px dashed purple; */
        /* background-color: rgb(238, 243, 244); */
    }

    .feeds{
        /* max-height: fit-content;*/
        /* width: fit-content; */
        /* height: 50vh; */
        width: 100%;
        padding: 10px;
        /* overflow-y: scroll; */
        /* overflow-x: hidden; */
        /* margin-left: 10px; */
        
        padding-bottom: 50px;
    }

    .post-card{
        width: 100%;
    }

    .post-card img{
        
    }

    header{
        justify-content: space-between;

    }

    header img{
        width: 130px;
        height: 30px;
        margin-left: 10px;
        margin-right: 10px;
    }


}

@media (max-width: 425px) {
    *{
        font-size: 0.8rem;
    }

    body{
        /* border: 2px solid green; */
    }
    
    body img{
    z-index: 5;
}
    
}
